classification
Title: Increased test coverage for statistics.median_grouped
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: iritkatriel, juliojr77, python-dev, steven.daprano
Priority: normal Keywords: patch

Created on 2016-05-27 19:26 by juliojr77, last changed 2020-09-20 00:59 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
test_median_grouped.patch juliojr77, 2016-05-27 19:26 Added unit test review
test_median_grouped.patch juliojr77, 2016-06-16 17:11 review
Messages (7)
msg266555 - (view) Author: Julio C Cardoza (juliojr77) * Date: 2016-05-28 14:44
I had signed the contributor agreement.!
msg268120 - (view) Author: Julio C Cardoza (juliojr77) * Date: 2016-06-10 13:04
Hi... Just want to find out if you have the chance to check my code. Thanks!

On Sat, May 28, 2016 at 10:44 AM, Julio C Cardoza <report@bugs.python.org>
wrote:

>
> New submission from Julio C Cardoza:
>
> I had signed the contributor agreement.!
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue27139>
> _______________________________________
>
msg268679 - (view) Author: Julio C Cardoza (juliojr77) * Date: 2016-06-16 17:11
Updated patch file to condense four functions into one function
msg268681 - (view) Author: Steven D'Aprano (steven.daprano) * (Python committer) Date: 2016-06-16 17:17
Thanks Julio,

I hope to get to this over the next week. Please feel free to prod me if 
you see no action by then.
msg269083 - (view) Author: Julio C Cardoza (juliojr77) * Date: 2016-06-22 20:12
Hi Steve!

Just giving you a hello! and, like you asked, to remind you about my case.

Thanks men!

On Thu, Jun 16, 2016 at 1:17 PM, Steven D'Aprano <report@bugs.python.org>
wrote:

>
> Steven D'Aprano added the comment:
>
> Thanks Julio,
>
> I hope to get to this over the next week. Please feel free to prod me if
> you see no action by then.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue27139>
> _______________________________________
>
msg269951 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-07 16:52
New changeset 4c4f8b0c5b30 by Steven D'Aprano in branch 'default':
Issue27139 patch by Julio C Cardoza.
https://hg.python.org/cpython/rev/4c4f8b0c5b30
msg377143 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-09-18 23:21
This issue can be closed - the added tests have been merged.
History
Date User Action Args
2020-09-20 00:59:22rhettingersetstatus: open -> closed
resolution: out of date
stage: patch review -> resolved
2020-09-18 23:21:11iritkatrielsetnosy: + iritkatriel
messages: + msg377143
2016-07-07 16:52:32python-devsetnosy: + python-dev
messages: + msg269951
2016-06-22 20:12:55juliojr77setmessages: + msg269083
2016-06-16 17:17:28steven.dapranosetmessages: + msg268681
2016-06-16 17:11:08juliojr77setfiles: + test_median_grouped.patch

messages: + msg268679
2016-06-10 13:04:43juliojr77setmessages: + msg268120
2016-05-28 14:44:05juliojr77setmessages: + msg266555
2016-05-28 14:05:37SilentGhostsetnosy: + steven.daprano

type: behavior
stage: patch review
2016-05-27 19:26:04juliojr77create